Subject: Re: [Teas] I-D Action: draft-ietf-teas-yang-path-computation-09.txt

From: Italo Busi <[email-masked]>
Date: Tue, 7 Jul 2020 09:34:02 +0000

Hi Tom,

The length and complexity of the document seems a bit unavoidable considering the complexity of the problem statement (computing paths for TE tunnels which can be unidir/bidir/co-routed/protected/restored/...)

Regarding the open issue depending on te-types, we can remove the comment pending on updated on te-types since it is already an RFC and leave the encoding-and-switching-type and tunnel-common-attributes groupings in this model.

We think that the content of the draft is quite stable and that few minor changes regarding the YANG code are needed to address the pending open issues.

We would like to get some feedbacks from the WG and YANG experts during YANG doctor review and/or WG LC to address them.

Sergio and Italo

> -----Original Message-----
> From: tom petch [mailto:[email-masked]]
> Sent: martedì 16 giugno 2020 10:42
> To: Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>;
> [email-masked]
> Cc: TEAS WG Chairs <[email-masked]>; Italo Busi
> <[email-masked]>
> Subject: Re: I-D Action: draft-ietf-teas-yang-path-computation-09.txt
> 
> From: Teas <[email-masked]> on behalf of Belotti, Sergio (Nokia -
> IT/Vimercate) <[email-masked]>
> Sent: 15 June 2020 16:23
> 
> we have updated the path computation RPC model to:
> - align with the latest version of the TE tunnel YANG model
> (https://tools.ietf.org/html/draft-ietf-teas-yang-te-23)
> - add support of path computation for protected paths (as discussed in IETF
> 104)
> - add support of path computation for bidirectional paths
> - returning errors in case path computation fails
> - add support for multi-layer path computation
> 
> The changes to the YANG model are described in section 5.3 and 5.4 of the 09
> version of the draft.
> 
> <tp>
> Try again.
> 
> I had a look a the I-D (big, complicated:-) and see a number of open issues,
> require-instance, RPC reference, waiting for a te-types update!
> 
> What do you plan to do about those?
> 
>  I have not tracked the progress of this I-D and would like it to be +-stable
> before investing too  much time in it (having wasted an ocean on the unstable
> teas-te:-(
> 
> Tom Petch.
> 
> 
> 
> We think that with these changes the model is now ready for YANG doctor
> review, however due to the significant amount of changes we would
> appreciate a review from the WG before asking YANG doctor review.
> 
> Thanks
> Italo and Sergio (as editors)
> 
> -----Original Message-----
> From: I-D-Announce <[email-masked]> On Behalf Of internet-
> [email-masked]
> Sent: Friday, June 12, 2020 6:22 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D Action: draft-ietf-teas-yang-path-computation-09.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Traffic Engineering Architecture and Signaling
> WG of the IETF.
> 
>         Title           : Yang model for requesting Path Computation
>         Authors         : Italo Busi
>                           Sergio Belotti
>                           Victor Lopez
>                           Anurag Sharma
>                           Yan Shi
>         Filename        : draft-ietf-teas-yang-path-computation-09.txt
>         Pages           : 94
>         Date            : 2020-06-12
> 
> Abstract:
>    There are scenarios, typically in a hierarchical SDN context, where
>    the topology information provided by a TE network provider may not
>    be sufficient for its client to perform end-to-end path computation.
>    In these cases the client would need to request the provider to
>    calculate some (partial) feasible paths.
> 
>    This document defines a YANG data model for an RPC to request path
>    computation. This model complements the solution, defined in
>    RFCXXXX, to configure a TE Tunnel path in "compute-only" mode.
> 
>    [RFC EDITOR NOTE: Please replace RFC XXXX with the RFC number of
>    draft-ietf-teas-yang-te once it has been published.
> 
>    Moreover this document describes some use cases where a path
>    computation request, via YANG-based protocols (e.g., NETCONF or
>    RESTCONF), can be needed.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-teas-yang-path-computation/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-teas-yang-path-computation-09
> https://datatracker.ietf.org/doc/html/draft-ietf-teas-yang-path-computation-
> 09
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-yang-path-computation-09
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html or
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas

---

From: tom petch <[email-masked]>
Date: Tue, 7 Jul 2020 11:01:09 +0000

From: Italo Busi <[email-masked]>
Sent: 07 July 2020 10:34

Hi Tom,

<tp>
OK.  For a start

RFC 3945 needs adding to I-D References

ds or datastore?  I like consistency

RPC are validated against <operational>
as NMDA says. RPC are never configuration.  I think that 
/te:input/
is required in the path.

Indentation of section headings  in the text is inconsistent second level more than third.

I-D authors and YANG authors are different

IANA URI needs a contact

Most of the I-D references lack a DOI

Tom Petch

Sergio and Italo

---

From: Italo Busi <[email-masked]>
Date: Sat, 11 Jul 2020 08:31:12 +0000

Hi Tom,

Thanks a lot for your review and valuable comments.

We have just posted a new -10 revision addressing them.

Please find in-line below a couple of additional comments/questions that deserve further discussion.

Sergio and Italo

> Sent: martedì 7 luglio 2020 13:01
> To: Italo Busi <[email-masked]>; Belotti, Sergio (Nokia - IT/Vimercate)
> <[email-masked]>; [email-masked]
> Cc: TEAS WG Chairs <[email-masked]>
> The length and complexity of the document seems a bit unavoidable
> considering the complexity of the problem statement (computing paths for TE
> tunnels which can be unidir/bidir/co-routed/protected/restored/...)
> 
> Regarding the open issue depending on te-types, we can remove the
> comment pending on updated on te-types since it is already an RFC and leave
> the encoding-and-switching-type and tunnel-common-attributes groupings in
> this model.
> 
> We think that the content of the draft is quite stable and that few minor
> changes regarding the YANG code are needed to address the pending open
> issues.
> 
> We would like to get some feedbacks from the WG and YANG experts during
> YANG doctor review and/or WG LC to address them.
> 
> <tp>
> OK.  For a start
> 
> as NMDA says. RPC are never configuration.  I think that /te:input/ is required
> in the path.
> 

[[Italo Busi] ] With the /te:input/, the code will not pass compilation with pyang 2.1.
Removing it, the code will not pass compilation with pyang 1.7.5 and it seems that there is no way to constraints some data on the RPC output based on same attribute in the RPC input.

> Most of the I-D references lack a DOI

[[Italo Busi] ] We do not know how to get the DOI for I-D references ...

> > The changes to the YANG model are described in section 5.3 and 5.4 of
> > the 09 version of the draft.
> >
> > <tp>
> > Try again.
> >
> > I had a look a the I-D (big, complicated:-) and see a number of open
> > issues, require-instance, RPC reference, waiting for a te-types update!
> >
> >  I have not tracked the progress of this I-D and would like it to be
> > +-stable before investing too  much time in it (having wasted an ocean
> > on the unstable teas-te:-(
> >
> > Tom Petch.
> >
> >
> >
> > We think that with these changes the model is now ready for YANG
> > doctor review, however due to the significant amount of changes we
> > would appreciate a review from the WG before asking YANG doctor review.
> >
> > Thanks
> > From: I-D-Announce <[email-masked]> On Behalf Of
> > internet- [email-masked]
> > This draft is a work item of the Traffic Engineering Architecture and
> > Signaling WG of the IETF.
> >
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at tools.ietf.org.
> >